
Core - Task # 56977

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes
Task # 56376 (Resolved): Invalid relations of IRRE records in workspaces

Status: Resolved Priority: Should have
Author: Oliver Hader Category: DataHandler aka TCEmain
Created: 2014-03-17 Assigned To: Oliver Hader
Updated: 2014-03-21 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Save current workspace in ReferenceIndex
Description

To reduce queries to accordant relations saved in the reference index, add the current workspace that is used. This information will be
used later during publishing nested record sets (e.g. for Inline Relational Record Editing).

Associated revisions
Revision 1dc27ffc - 2014-03-21 20:25 - Oliver Hader

[FEATURE] Save current workspace in ReferenceIndex

To reduce queries to accordant relations saved in the reference
index, add the current workspace that is used. This information
will be used later during publishing nested record sets (e.g.
for Inline Relational Record Editing).

Resolves: #56977
Releases: 6.2
Change-Id: I92851e243581a525bb99fafc9ed656fd613eeb82
Reviewed-on: https://review.typo3.org/28472
Reviewed-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-03-17 10:14 - Oliver Hader
- Parent task changed from #54853 to #56376

#2 - 2014-03-17 14:54 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2014-03-17 15:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28472

#4 - 2014-03-17 23:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28472

#5 - 2014-03-18 22:33 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28472

#6 - 2014-03-21 20:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1dc27ffcebe4e189a69227fb5bf22f45207056e6.
